# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python python-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global htmldir /var/www/yawn
%global apacheconfdir /etc/httpd2
%global svnrev 632
%global revdate 20140318

Name:           yawn
Version:        0
Release:        alt1_0.27.%{revdate}svn%{svnrev}
Summary:        Yet Another WBEM Navigator


Group:          System/Base
License:        GPLv2
URL:            https://sourceforge.net/apps/mediawiki/pywbem/index.php?title=YAWN
# The source for this package was pulled from upstream svn repository.
# Use the following commands to get the archive:
#  svn export -r 632 https://svn.code.sf.net/p/pywbem/code/yawn/trunk/mod_wsgi yawn-20140318
#  tar -cJvf yawn-20140318.tar.xz yawn-20140318
Source0:        %{name}-%{revdate}.tar.xz

BuildRequires:  apache2-base apache2-htcacheclean, python-devel
Requires:       pywbem apache2-base python-module-werkzeug, python-module-mako
BuildArch:      noarch
Source44: import.info

%description
Web-based CIM/WBEM browser

%package server
Group: File tools
Summary: Standalone web server for yawn
Requires: %{name}

%description server
Script to run yawn without Apache web server.

%prep
%setup -q -n %{name}-%{revdate}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{htmldir}
install ./scripts/yawn.wsgi $RPM_BUILD_ROOT%{htmldir}/index.wsgi
install -d $RPM_BUILD_ROOT%{apacheconfdir}/conf.d/
install -m 0644 ./apache/yawn.conf ${RPM_BUILD_ROOT}/%{apacheconfdir}/conf.d/yawn.conf

%files
%{htmldir}
%{python_sitelibdir_noarch}/*
%config(noreplace) %{apacheconfdir}/conf.d/yawn.conf
%doc README Changelog

%files server
%{_bindir}/yawn.py

%changelog
* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.27.20140318svn632
- rebuild to get rid of unmets

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.22.20140318svn632
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.21.20140318svn632
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.20.20140318svn632
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.19.20140318svn632
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.18.20140318svn632
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.17.20140318svn632
- update to new release by fcimport

* Tue Mar 04 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.16.20140227svn630
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.15.20130426svn620
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20130426svn620
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20130213svn617
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.13.20130118svn610
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.12.20121115svn606
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.6.20120620svn578
- update to new release by fcimport

* Mon Jun 11 2012 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.4.20120227svn561
- update to new fc release

